<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Выбор версии';
if (empty($_GET['act']))head();
aut();
who_add(0,'enter');
$act = $_GET['act'];
if (empty($act)){


echo "Версия:<br />";
if ($ver!='wml'){
echo '<form method="post" action="versia?act=vers&amp;'.SID.'" name="auth">';
echo '<select name="vers">
<option value="wml">Обычная версия</option>
<option value="xhtml">Цветная xHTML версия</option>
</select><br />Размер шрифта:<br /><select name="fsize">
<option value="medium">Нормальный</option>
<option value="small">Мелкий</option>
<option value="big">Большой</option>
</select><br/>
<input class="ibutton" type="submit" class="ibutton" value="Сменить"/></form>';
}else{
echo '<select name="vers">
<option value="wml">Обычная версия</option>
<option value="xhtml">Цветная xHTML версия</option>
</select><br />Размер шрифта:<br /><select name="fsize">
<option value="medium">Нормальный</option>
<option value="small">Мелкий</option>
<option value="big">Большой</option>
</select><br/>
<anchor>Сменить<go href="versia?act=vers&amp;'.SID.'" method="post">
<postfield name="vers" value="$(vers)"/>
<postfield name="fsize" value="$(fsize)"/>
</go></anchor><br/><br />';
}

echo '<br />Цветная версия:<br/>';
if ($ver!='wml')echo '<form method="post" action="versia?act=style&amp;'.SID.'" name="auth">';
echo '<select name="style">
<option value="'.$set['style'].'">'.$set['style'].'</option>';
$d=opendir(H."style");

while(($e=readdir($d))!==false){
if ($e=='.'||$e=='..'||$e==".htaccess"||$e==".php"||$e==".Thumbs.db"||$e=="Thumbs.db") continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+1000){
$e1 = strtr($e, array ('.css' => ''));
if (substr_count($e, '.css')!=0){
echo '<option value="'.$e1.'">'.$e1.'</option>';
}

}
}
closedir($d);
echo '</select>';
if ($ver=='wml'){
echo '<br /><anchor title="go">Выбрать<go href="versia?act=style&amp;'.SID.'" method="post">';
echo '<postfield name="style" value="$(style)"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Выбрать"><br />';
}

} else if ($act=='vers'){
$vers = check($_POST['vers']);
$fsize = check($_POST['fsize']);
$db->sql_query ("Update users set ver='".$vers."', fsize='".$fsize."' where id ='".$user['id']."'");

header ('Location: versia?'.SID);  exit;

}else if ($act=='style'){
$style = check($_POST['style']);
$db->sql_query ("Update users set style='".$style."' where id ='".$user['id']."'");

header ('Location: versia?'.SID);  exit;

}


echo '<br />';
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
